curl --request GET \
--url https://api.circular.rosetta.sh/api/v1/markets/search \
--header 'Authorization: Bearer <token>'{
"data": [
{
"uniqueKey": "<string>",
"protocol": "morpho",
"chainId": 123,
"label": "<string>",
"collateral": "<string>",
"loan": "<string>",
"collateralAddress": "<string>",
"loanAddress": "<string>",
"collateralPrice": 123,
"loanPrice": 123,
"supply": 123,
"borrow": 123,
"available": 123,
"utilization": 123,
"supplyApy": 123,
"borrowApy": 123,
"supplyRewardsApy": 123,
"borrowRewardsApy": 123,
"rewardTokens": [
"<string>"
],
"lltv": 123,
"maxLeverage": 123,
"strategyType": "<string>",
"strategyInfo": {
"type": "<string>",
"label": "<string>",
"description": "<string>",
"riskLevel": "low",
"color": "<string>",
"icon": "<string>"
},
"vaultSymbol": "<string>",
"vaultAddress": "<string>",
"governor": "<string>",
"oracle": {
"address": "<string>",
"type": "ChainlinkOracle",
"provider": "Chainlink",
"feeds": [
{
"address": "<string>",
"description": "<string>",
"pair": "<string>"
}
],
"isComposite": true,
"warnings": [
"<string>"
]
},
"oracleHealth": {
"lastUpdateTimestamp": 123,
"secondsSinceUpdate": 123,
"expectedHeartbeatSeconds": 123,
"isStale": true,
"stalenessRatio": 123
}
}
],
"meta": {
"latencyMs": 123,
"freshness": "<string>",
"source": "<string>"
}
}Search lending markets by keyword (asset name, symbol, or market label).
curl --request GET \
--url https://api.circular.rosetta.sh/api/v1/markets/search \
--header 'Authorization: Bearer <token>'{
"data": [
{
"uniqueKey": "<string>",
"protocol": "morpho",
"chainId": 123,
"label": "<string>",
"collateral": "<string>",
"loan": "<string>",
"collateralAddress": "<string>",
"loanAddress": "<string>",
"collateralPrice": 123,
"loanPrice": 123,
"supply": 123,
"borrow": 123,
"available": 123,
"utilization": 123,
"supplyApy": 123,
"borrowApy": 123,
"supplyRewardsApy": 123,
"borrowRewardsApy": 123,
"rewardTokens": [
"<string>"
],
"lltv": 123,
"maxLeverage": 123,
"strategyType": "<string>",
"strategyInfo": {
"type": "<string>",
"label": "<string>",
"description": "<string>",
"riskLevel": "low",
"color": "<string>",
"icon": "<string>"
},
"vaultSymbol": "<string>",
"vaultAddress": "<string>",
"governor": "<string>",
"oracle": {
"address": "<string>",
"type": "ChainlinkOracle",
"provider": "Chainlink",
"feeds": [
{
"address": "<string>",
"description": "<string>",
"pair": "<string>"
}
],
"isComposite": true,
"warnings": [
"<string>"
]
},
"oracleHealth": {
"lastUpdateTimestamp": 123,
"secondsSinceUpdate": 123,
"expectedHeartbeatSeconds": 123,
"isStale": true,
"stalenessRatio": 123
}
}
],
"meta": {
"latencyMs": 123,
"freshness": "<string>",
"source": "<string>"
}
}API key in format circ_live_* or circ_test_*
Search query
Maximum number of results to return